### Virtual Method

# PapersDocument Document save

#### Declaration [src]

    gboolean
    save (
      PpsDocument* document,
      const char* uri,
      GError** error
    )

#### Description [src]

Saves `document` to `uri`.

#### Parameters

`uri`

  Type: `const char*`

  The target URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, or `FALSE` on error with `error` filled in.